Subject: Re: linux-next: manual merge of the sound tree with the jc_docs tree

From: Takashi Iwai <[email-masked]>
Date: Mon, 14 Nov 2016 09:01:13 +0100

On Mon, 14 Nov 2016 01:56:28 +0100,
Jonathan Corbet wrote:
> 
> On Mon, 14 Nov 2016 11:15:53 +1100
> Stephen Rothwell <[email-masked]> wrote:
> 
> > Today's linux-next merge of the sound tree got a conflict in:
> > 
> >   Documentation/index.rst
> > 
> > between commits:
> > 
> >   799a545bb938 ("tpm: move documentation under Documentation/security")
> >   ba42c574fc8b ("Documentation: Add HOWTO Korean translation into rst based build system")
> > 
> > from the jc_docs tree and commit:
> > 
> >   8551914a5e19 ("ALSA: doc: ReSTize alsa-driver-api document")
> > 
> > from the sound tree.
> 
> Sigh.  I'm glad this work is being done, but if we're going to create
> some coordinated documentation it might be good to involve the docs
> maintainer when doing it...

Sorry, will put you guys in Cc at the next time (although all
conversions have been done in the sound tree).

> In this case, I would have liked the chance to comment.  This
> documentation belongs in the driver-api document, not the top-level one.
> So, in an ideal world, I'd like to see this stuff moved there, preferably
> with the patches going though the docs tree.

If there needs any other changes, feel free to merge my
topic/restize-docs branch into yours and keep working there:
  git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound.git topic/resize-docs

It's based on vanilla 4.9-rc4, so it must be clean to be merged.  A
few misc fixes will come up in for-next branch, but they should be
harmless to your changes -- at least the api-related changes won't be
touched.

thanks,

Takashi

> 
> (Thanks, Stephen, for fixing it up).
> 
> jon
>